Skip to main content
GET

Get a lead

Scope:crm:deals.read
https://api.holded.com/api/v2/leads/{leadId}

Returns a single lead by its ID.

Parameters

Path parameters

leadIdstringrequired

Lead ID

Request

python
import requests

url = "https://api.holded.com/api/v2/leads/{leadId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "user_id": "string",
  "created_by": "string",
  "assigned_to": "string",
  "funnel_id": "string",
  "contact_id": "string",
  "contact_name": "string",
  "name": "string",
  "person_id": "string",
  "person_name": "string",
  "value": "1500.00",
  "potential": "75",
  "due_date": "string",
  "stage_id": "string",
  "created_at": "string",
  "updated_at": "string",
  "custom_fields": [
    {}
  ],
  "status": "open",
  "events": [
    {}
  ],
  "tasks": [
    {}
  ],
  "files": [
    "string"
  ]
}

Success responses

200Lead foundapplication/json
object
idstringrequired

Unique identifier

user_idstringrequired

Owner user ID

created_bystringrequired

Creator user ID

assigned_tostring | nullrequired

Assigned user ID

funnel_idstringrequired

Funnel ID

contact_idstringrequired

Contact ID

contact_namestringrequired

Contact name

namestringrequired

Lead name

person_idstring | nullrequired

Person ID

person_namestring | nullrequired

Person name

valuestringrequired

Deal value as decimal string

potentialstringrequired

Deal potential as a decimal string

due_datestring | nullrequired

Due date in ISO 8601 format

stage_idstringrequired

Current stage ID

created_atstring | nullrequired

Creation date in ISO 8601 format

updated_atstring | nullrequired

Last update date in ISO 8601 format

custom_fields[]object[]required

Custom fields

statusstringrequired

Lead status

Enum:openwonlost
events[]object[]required

Lead events

tasks[]object[]required

Lead tasks

files[]string[]required

Attached file IDs

Error responses

401Invalid or missing API keyapplication/json
403Insufficient permissionsapplication/json
404Lead not foundapplication/json
429Rate limit exceededapplication/json